You are not logged in.

#26 2011-12-13 14:48:50

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

SS4 wrote:

I got the same error when using the pastebin link, if you copy and paste from the OP it should work.

hum, i think it will be better remove it, to avoid these kind of problems...
Thx for the tip.

Offline

#27 2011-12-16 12:01:10

Kaliwal
Member
Registered: 2011-12-05
Posts: 24

Re: [Script] Archlinux Ultimate Install Script

It is really an excellent effort. Found it real helpful. However I have a suggestion/request.

Can you enable the script to choose the best mirror for downloading/installing all these programs? I know about rankmirrors that has helped me in choosing the fastest mirror for my connection.


Regards.

Offline

#28 2011-12-16 17:51:59

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

Kaliwal wrote:

It is really an excellent effort. Found it real helpful. However I have a suggestion/request.

Can you enable the script to choose the best mirror for downloading/installing all these programs? I know about rankmirrors that has helped me in choosing the fastest mirror for my connection.


Regards.

Easy task: DONE! smile

Greetings

Offline

#29 2011-12-18 04:46:58

Kaliwal
Member
Registered: 2011-12-05
Posts: 24

Re: [Script] Archlinux Ultimate Install Script

helmuthdu wrote:

Easy task: DONE! smile

Greetings

Thank You very much. It is so nice of you.

Offline

#30 2011-12-25 07:17:56

Drumitar
Member
Registered: 2011-04-13
Posts: 73

Re: [Script] Archlinux Ultimate Install Script

would it be too crazy to ask for lightweight window managers like openbox or awesome ?

Offline

#31 2011-12-27 21:42:56

lordoftux
Member
Registered: 2011-12-27
Posts: 7

Re: [Script] Archlinux Ultimate Install Script

hello

I've gone through a lot of troubles trying your srcipt.
for example, keyboard is FR on console, but US in GDM, and then FR again when under GNOME
firefox won't install
conky doesn't work, needs ttf-droid package installed later,
there are conflicts between regular packages, and git packages, (--noconfirm option doesn't help here, it breaks some yaourt commands)
libreoffice end up installed in dutch, and so on big_smile (I live in france)
anyway, awesome work, once again, only trying to help wink

ps: after sending you a mail, i did a fresh new i686 installation, but it didn't solve much
thanks again for your work

Last edited by lordoftux (2011-12-27 21:48:31)

Offline

#32 2011-12-29 14:23:25

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

lordoftux wrote:

hello

I've gone through a lot of troubles trying your srcipt.
for example, keyboard is FR on console, but US in GDM, and then FR again when under GNOME
firefox won't install
conky doesn't work, needs ttf-droid package installed later,
there are conflicts between regular packages, and git packages, (--noconfirm option doesn't help here, it breaks some yaourt commands)
libreoffice end up installed in dutch, and so on big_smile (I live in france)
anyway, awesome work, once again, only trying to help wink

ps: after sending you a mail, i did a fresh new i686 installation, but it didn't solve much
thanks again for your work

The script use your rc.conf to detect the language setup, make sure you have configured your locale.gen and your rc.conf in the right way, maybe you are missing something http://wiki.archlinux.org/index.php/Beginners%27_Guide
Firefox wont install bc the language problem above, anyway, u can manual configure at begin of the script your language. (maybe add dat option in future to avoid this kind of problem)

Anyway, I'm enjoying my holidays now, when I return, I'll fix.

Greetings

Last edited by helmuthdu (2011-12-30 01:52:13)

Offline

#33 2011-12-29 14:27:05

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

Drumitar wrote:

would it be too crazy to ask for lightweight window managers like openbox or awesome ?

Nope smile

I'm enjoying my holidays now, when I return, I'll do it.

Last edited by helmuthdu (2011-12-30 01:52:26)

Offline

#34 2011-12-29 20:56:54

lordoftux
Member
Registered: 2011-12-27
Posts: 7

Re: [Script] Archlinux Ultimate Install Script

helmuthdu wrote:
lordoftux wrote:

hello

I've gone through a lot of troubles trying your srcipt.
for example, keyboard is FR on console, but US in GDM, and then FR again when under GNOME
firefox won't install
conky doesn't work, needs ttf-droid package installed later,
there are conflicts between regular packages, and git packages, (--noconfirm option doesn't help here, it breaks some yaourt commands)
libreoffice end up installed in dutch, and so on big_smile (I live in france)
anyway, awesome work, once again, only trying to help wink

ps: after sending you a mail, i did a fresh new i686 installation, but it didn't solve much
thanks again for your work

The script use your rc.conf to detect the language setup, make sure you have configured your locale.gen and your rc.conf in the right way, maybe you are missing something http://wiki.archlinux.org/index.php/Beginners%27_Guide
Firefox wont install bc the language problem above, anyway, u can manual configure at begin of the script your language. (maybe add dat option in future to avoid this kind of problem)

Anyway, I'm now enjoying my holidays now, when I return, I'll fix.

Greetings

Well thanks for sending me back to beginnner's corner, may be I deserve that.
I was too lazy to do everything by hands and trying to find a script to automate the process...

thanks for reading me, and enjoy your holidays.

Offline

#35 2012-01-05 21:35:39

jmayniac
Member
Registered: 2009-08-12
Posts: 14

Re: [Script] Archlinux Ultimate Install Script

esc wrote:

Got a problem while executing the script:

ultimate_archlinux_install.sh: line 20: $'\r': command not found
ultimate_archlinux_install.sh: line 23: $'\r': command not found
ultimate_archlinux_install.sh: line 29: $'\r': command not found
ultimate_archlinux_install.sh: line 40: syntax error near unexpected token `}'
'ltimate_archlinux_install.sh: line 40: `} #}}}

You have DOS carriage returns in your script.  You can convert the script from DOS to UNIX by installing the package 'hd2u' and running 'dos2unix script.sh'.

Offline

#36 2012-01-09 23:15:56

Drumitar
Member
Registered: 2011-04-13
Posts: 73

Re: [Script] Archlinux Ultimate Install Script

helmuthdu wrote:
Drumitar wrote:

would it be too crazy to ask for lightweight window managers like openbox or awesome ?

Nope smile

I'm enjoying my holidays now, when I return, I'll do it.

Thanks !!!

Offline

#37 2012-01-10 03:02:17

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: [Script] Archlinux Ultimate Install Script

if you have testing enabled and pacman4 (and libarchive3) installed
the script ask in one point about yaourt
yaourt depend of pacman3.5
if you responce is possitive install packa-query and yaourt both force install pacman 3.5 but  NO libarchive2
this make break pacman and tada, a break systen unable to run pacman or yaourt or any other script or wathever (include nmakepkg)

notes:
wicd need user in the network and http groups
tlp need upower for run correctly (in my system almost)

sugestion1: change yaourt for packer (pacman completly INDDEPENDANT) or search if testing is enabled (or pacman 4 is intalled) and if these is enabled use yaourt-git and package-query-git instead
suggestion 2: can select the AUR helper (including the avobe sugesstion), both packer and yapourt use the -S, -Syu, -Ss options
sugestion 3: is possible ading lxde?
suggestion4: add xf86-video-vesa for option in gpus, or if you run in a sistem not nvidia,itel,virtual,amd and want No-X11

EDIT:
For LXDE may look like this possibly

                        #LXDE #{{{
			print_tittle "LXDE - http://wiki.archlinux.org/index.php/lxde"
			pacman -S --noconfirm lxde
			add_new_daemon "lxdm"
			GNOME=1
			sumary "LXDE Installation"
			finish_function
			#}}}
			;;

EDIT2:
This other change the ayatana repo installation for the archlinux-fr repo:

#custom repositories #{{{
	print_title "CUSTOM REPOSITORIES"
	#question_for_answer "Install custom repositories (ayatana)"
	question_for_ansewer "Install custom repositories (Archlinux-fr)"
	case "$OPTION" in
		"y")
			#echo -e '[ayatana]\nServer = http://repo.ayatana.info/' >> /etc/pacman.conf
			#echo -e '\n[custom]\nServer = file:///media/backup/Archlinux/$arch' >> /etc/pacman.conf
			echo -e '[archlinuxfr]\nServer = http://repo.archlinux.fr/$arch'
			install_status
			;;
		*)
			CURRENT_STATUS=0
			;;
	esac
	sumary "Custom repositories installation"
	finish_function
#}}}

EDIT3:
Aditional firmware for broadcom bluetooths and other stuff that need specific firmwares
NOT TESTED

#}}}
#Aditional Firmware #{{{
	print_tittle "Aditional Firmware"
	question_for_answer " Install aditional firmware, useful for some\nwirelles and bluetooths, need the most resent Kernel (Linux)"
	case "$OPTION" in
		"Y" )
			su -l $USERNAME --command="
			yaourt -S --noconfirm ipw2100-fw ipw2200-fw bluez-firmware linux-firmware wireless_tools wireless-regdb rfkill crda wpa_supplicant b43-firmware broadcom-wl b43-firmware-legacy"
		* )
			CURRENT_STATUS=0
			;;
	esac
	sumary "Aditional Firmware"
	finish_function
#}}}

Last edited by Jristz (2012-01-10 05:12:04)


Well, I suppose that this is somekind of signature, no?

Offline

#38 2012-01-10 20:29:37

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

Jristz wrote:

if you have testing enabled and pacman4 (and libarchive3) installed
the script ask in one point about yaourt
yaourt depend of pacman3.5
if you responce is possitive install packa-query and yaourt both force install pacman 3.5 but  NO libarchive2
this make break pacman and tada, a break systen unable to run pacman or yaourt or any other script or wathever (include nmakepkg)

notes:
wicd need user in the network and http groups
tlp need upower for run correctly (in my system almost)

sugestion1: change yaourt for packer (pacman completly INDDEPENDANT) or search if testing is enabled (or pacman 4 is intalled) and if these is enabled use yaourt-git and package-query-git instead
suggestion 2: can select the AUR helper (including the avobe sugesstion), both packer and yapourt use the -S, -Syu, -Ss options
sugestion 3: is possible ading lxde?
suggestion4: add xf86-video-vesa for option in gpus, or if you run in a sistem not nvidia,itel,virtual,amd and want No-X11

First of all, thanks for your contribution, i really appreciate any kind of help to make this project better for this great comunity! smile
Now, lets talk about your sugestions,

1) Well, i didnt had thinking about that (always use the stable channel), but i think instead of change this to another installer we can let the users choose between both (yaourt or packer), just gonna need to replace all yaourt calls with a new function (not a big deal)
2) same above tongue
3) Sure, why not?
4) Agree

EDIT 1: added
EDIT 2: turn this into a while function so the user can add both and your own repo
EDIT 3: added

Greetings

Offline

#39 2012-01-11 03:08:27

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: [Script] Archlinux Ultimate Install Script

thank for adding my suggestions smile
I appreciate this script
I forget this
in lxde and in pcmanfm (lxde) you need gvfs for mount and partition support and gvfs-smb for smb:// in pcmanfm
other interesting this is that the lxde project take leafpad for they editor but arch not

other suggestion smile
Office Apps
Lightweight offimatic: abiword abiword-plugins gnumeric galculator (take in count the resent COMUNITY>AUR<COMUNITY movemment), epdfview (or zathura), leafpad (for notes)
this is perfect for a laithweight desktop like XFCE4 or LXDE

side nothe: alsa-firmware is a firmware package but i dont' know any system that need this for work


Well, I suppose that this is somekind of signature, no?

Offline

#40 2012-01-11 15:13:20

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

Jristz wrote:

thank for adding my suggestions smile
I appreciate this script
I forget this
in lxde and in pcmanfm (lxde) you need gvfs for mount and partition support and gvfs-smb for smb:// in pcmanfm
other interesting this is that the lxde project take leafpad for they editor but arch not

other suggestion smile
Office Apps
Lightweight offimatic: abiword abiword-plugins gnumeric galculator (take in count the resent COMUNITY>AUR<COMUNITY movemment), epdfview (or zathura), leafpad (for notes)
this is perfect for a laithweight desktop like XFCE4 or LXDE

side nothe: alsa-firmware is a firmware package but i dont' know any system that need this for work

Done

Offline

#41 2012-01-11 22:57:44

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: [Script] Archlinux Ultimate Install Script

for dropbox:
gnome: dropbox nautilus-dropbox
xfce: dropbox: thunar-dropbox
kde dropbox kfilebox
lxde: dropbox and no more

the actual problem is the fact that using nautilus-dropbox for xfce or lxde have no-sense, in those cases is best install dropbox only (and or dropbox-cli for terminal onlly-support)

and finaly: for one or 2 games user need in the games group
and wat about a final optional: Pacman -Rsc $(pacman -Qqdt) (Clean orfan packages insataling for download other like git for tlp) && pacman -Sc (old packages cleaning) && pacman -Syy (update database only) && pacman-optimize (database optimizations)

PD: Sorry for many request and things....

EDIT: The wirelless/bluetooth option not work i select any but only return to the select screen, and the tlp not is intalled if use packer, if no desktop is desided wicd-kde/networkmanager(the kde version) is installed but why install kde version if no desktop is selected? (all other work perfect)

Last edited by Jristz (2012-01-12 03:04:38)


Well, I suppose that this is somekind of signature, no?

Offline

#42 2012-01-12 11:56:25

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

Jristz wrote:

for dropbox:
gnome: dropbox nautilus-dropbox
xfce: dropbox: thunar-dropbox
kde dropbox kfilebox
lxde: dropbox and no more

the actual problem is the fact that using nautilus-dropbox for xfce or lxde have no-sense, in those cases is best install dropbox only (and or dropbox-cli for terminal onlly-support)

and finaly: for one or 2 games user need in the games group
and wat about a final optional: Pacman -Rsc $(pacman -Qqdt) (Clean orfan packages insataling for download other like git for tlp) && pacman -Sc (old packages cleaning) && pacman -Syy (update database only) && pacman-optimize (database optimizations)

PD: Sorry for many request and things....

EDIT: The wirelless/bluetooth option not work i select any but only return to the select screen, and the tlp not is intalled if use packer, if no desktop is desided wicd-kde/networkmanager(the kde version) is installed but why install kde version if no desktop is selected? (all other work perfect)

Thx for your feedback, all fixed lol

Offline

#43 2012-01-20 01:46:24

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: [Script] Archlinux Ultimate Install Script

ok 2012.18
the script work good
but activate teh signini/key make if any key is not imported (2 try)
them fail and the script continue, *but mark as intalled but in realyty isnot intalled
this due the lack of signings
I sugest add the signinig after the begin of any pacman -S or pacman -Syu and remember use befor install many signs a pacman/key --refresh-keys

if aur_helper fail for....bad password, the script continue but...
many sub intallation (like codecs....but not the gesttreamer, the others (libdvdcss, libdvdread, libquicktime.... for example) simple are ignored and the script continue
this happen almost if you install separately the aur_helper

sugestion add zip, rar (aur), unace, arj, unarj, lzo, lzop, lzo2 for unconpresing and conpresing archives (lha is only available for i686)

ad finaly remmember fluidr3 requiere multilibs activated for download ani group of dependencies
and is thunar-dropbox AND dropbox for xfce

thank and i apreciate you script and work

Last edited by Jristz (2012-01-20 01:52:24)


Well, I suppose that this is somekind of signature, no?

Offline

#44 2012-01-21 19:49:18

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

Jristz wrote:

ok 2012.18
the script work good
but activate teh signini/key make if any key is not imported (2 try)
them fail and the script continue, *but mark as intalled but in realyty isnot intalled
this due the lack of signings
I sugest add the signinig after the begin of any pacman -S or pacman -Syu and remember use befor install many signs a pacman/key --refresh-keys

if aur_helper fail for....bad password, the script continue but...
many sub intallation (like codecs....but not the gesttreamer, the others (libdvdcss, libdvdread, libquicktime.... for example) simple are ignored and the script continue
this happen almost if you install separately the aur_helper

sugestion add zip, rar (aur), unace, arj, unarj, lzo, lzop, lzo2 for unconpresing and conpresing archives (lha is only available for i686)

ad finaly remmember fluidr3 requiere multilibs activated for download ani group of dependencies
and is thunar-dropbox AND dropbox for xfce

thank and i apreciate you script and work

Check the last release.
Fixed almost all, but i just didnt got the idea of pacman-key --refresh-keys...

Offline

#45 2012-01-22 03:14:38

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: [Script] Archlinux Ultimate Install Script

helmuthdu wrote:
Jristz wrote:

ok 2012.18
the script work good
but activate teh signini/key make if any key is not imported (2 try)
them fail and the script continue, *but mark as intalled but in realyty isnot intalled
this due the lack of signings
I sugest add the signinig after the begin of any pacman -S or pacman -Syu and remember use befor install many signs a pacman/key --refresh-keys

if aur_helper fail for....bad password, the script continue but...
many sub intallation (like codecs....but not the gesttreamer, the others (libdvdcss, libdvdread, libquicktime.... for example) simple are ignored and the script continue
this happen almost if you install separately the aur_helper

sugestion add zip, rar (aur), unace, arj, unarj, lzo, lzop, lzo2 for unconpresing and conpresing archives (lha is only available for i686)

ad finaly remmember fluidr3 requiere multilibs activated for download ani group of dependencies
and is thunar-dropbox AND dropbox for xfce

thank and i apreciate you script and work

Check the last release.
Fixed almost all, but i just didnt got the idea of pacman-key --refresh-keys...

you need import all the keys if you want activated the sgnining= Trusted Only/Optional in pacman.conf
else you reseive a mesagge (only in trusted optional) if you wan import a new key from the package next to install, but ramdomly fail to import the key
Post saying how import all the keys in one bash command:
http://www.foros.archlinux-es.org/viewt … f=5&t=5563


Well, I suppose that this is somekind of signature, no?

Offline

#46 2012-01-22 12:14:45

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

Jristz wrote:

you need import all the keys if you want activated the sgnining= Trusted Only/Optional in pacman.conf
else you reseive a mesagge (only in trusted optional) if you wan import a new key from the package next to install, but ramdomly fail to import the key
Post saying how import all the keys in one bash command:
http://www.foros.archlinux-es.org/viewt … f=5&t=5563

All done! wink

Offline

#47 2012-02-24 19:48:28

ancleessen4
Member
From: Luxembourg
Registered: 2009-11-22
Posts: 120
Website

Re: [Script] Archlinux Ultimate Install Script

Looking at the script I don't think CUPS install has a yes/no option..or am I wrong?
Could we have the option yes/no to install printer support?

Last edited by ancleessen4 (2012-02-24 19:58:39)

Offline

#48 2012-02-25 18:45:48

helmuthdu
Member
Registered: 2011-11-09
Posts: 85

Re: [Script] Archlinux Ultimate Install Script

ancleessen4 wrote:

Looking at the script I don't think CUPS install has a yes/no option..or am I wrong?
Could we have the option yes/no to install printer support?

Your are right, there is no option.
Check for new update, its already there with some misc improviments.

Greetings

Offline

#49 2012-02-25 21:47:34

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: [Script] Archlinux Ultimate Install Script

Tips:
for exFAT use exfat-utils and fuse-exfat
the ttf-googlewebfonts is a  REALLY L=ONG build (like 20-40 min) I suggest put and adverticement

actually is possible run twice or more times you script only having one issue, the user
is possible in user creation sellect an existing user and/or creating one?

finnaly is possible to include infinality fonts? :
freetype2-infinality frontconfig-infinality  && /etc/profile.d/infinality-settings.sh


Well, I suppose that this is somekind of signature, no?

Offline

#50 2012-02-26 14:44:52

ancleessen4
Member
From: Luxembourg
Registered: 2009-11-22
Posts: 120
Website

Re: [Script] Archlinux Ultimate Install Script

Some further input;

-> "successfull (Canceled)" should read "successful (Cancelled)"
-> "Script can be canceled all the time with CTRL+C" should read "Script can be cancelled at any time with CTRL+C"
->"it's highly recommended you read this script before use it" should read "it's highly recommended that you read this script before using it"

For Openbox, have you considered the inclusion of obmenu,nitrogen,lxappearance,gmrun?

For Accessories, have you considered the inclusion of geekie,scrot,leafpad,bluefish,rxvt-unicode?

For System Tools, have you considered the inclusion of gparted?

For Internet, have you considered the inclusion of chromium,uzbl-browser?

Keep up the great work!

Last edited by ancleessen4 (2012-02-26 17:37:48)

Offline

Board footer

Powered by FluxBB